ne_sock_init
Prev | neon API reference | Next

## Name

ne_sock_init — perform library initialization

## Synopsis

    #include <ne_socket.h>

``int ne_sock_init(``void)`;`

## Description

In some platforms and configurations, neon may be using some socket or SSL libraries which require global initialization before use. To perform this initialization, the `ne_sock_init` function must be called once before any other library functions are used.

## Return value

`ne_sock_init` returns zero on success, or non-zero on error. If an error occurs, no further use of the neon library should be attempted.

## See also

neon

Prev | Up | Next
ne_shave | Home | ne_ssl_cert_identity